> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/videos/{video_id}/content

> 완료된 비디오 생성 작업의 바이너리 콘텐츠를 다운로드합니다.

用于在视频任务完成后读取最终视频内容或下载流。

* 使用 `Authorization: Bearer {API_KEY}` 鉴权
* 路径参数仍是 `video_id`
* 只有在状态接口确认任务完成后，才应该调用这个接口
* 如果前端直接下载大文件，建议由服务端做鉴权代理或临时签名转发


## OpenAPI

````yaml GET /v1/videos/{video_id}/content
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://maas.apigo.ai
security:
  - bearerAuth: []
paths:
  /v1/videos/{video_id}/content:
    get:
      summary: OpenAI video content
      description: Downloads the binary content of a completed video generation task.
      parameters:
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: string
            example: video_123456789
      responses:
        '200':
          description: Successful video content response
          content:
            video/mp4:
              schema:
                type: string
                format: binary
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````